## libvncserver 0.9.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(LibVNCServer)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckTypeSize)
include(TestBigEndian)

set(PACKAGE_NAME           "LibVNCServer")
set(FULL_PACKAGE_NAME      "LibVNCServer")
set(PACKAGE_VERSION        "0.9.8.2")
set(PROJECT_BUGREPORT_PATH "http://sourceforge.net/projects/libvncserver")

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR}/libvncserver ${CMAKE_SOURCE_DIR}/common)

find_package(ZLIB)
find_package(JPEG)
find_package(SDL)
find_package(GnuTLS)
find_package(Threads)
find_package(X11)
find_library(LIBGCRYPT_LIBRARIES gcrypt)

if(Threads_FOUND)
  option(TIGHTVNC_FILETRANSFER "Enable filetransfer" ON)
endif(Threads_FOUND)
if(ZLIB_FOUND)
  set(LIBVNCSERVER_HAVE_LIBZ 1)
endif(ZLIB_FOUND)
if(JPEG_FOUND)
  set(LIBVNCSERVER_HAVE_LIBJPEG 1)
endif(JPEG_FOUND)
option(LIBVNCSERVER_ALLOW24BPP "Allow 24 bpp" ON)
if(GNUTLS_FOUND)
  set(LIBVNCSERVER_WITH_CLIENT_TLS 1)
endif(GNUTLS_FOUND)
if(LIBGCRYPT_LIBRARIES)
  message(STATUS "Found libgcrypt: ${LIBGCRYPT_LIBRARIES}")
  set(LIBVNCSERVER_WITH_CLIENT_GCRYPT 1)
endif(LIBGCRYPT_LIBRARIES)


check_include_file("fcntl.h"       LIBVNCSERVER_HAVE_FCNTL_H)
check_include_file("netinet/in.h"  LIBVNCSERVER_HAVE_NETINET_IN_H)
check_include_file("sys/socket.h"  LIBVNCSERVER_HAVE_SYS_SOCKET_H)
check_include_file("sys/stat.h"    LIBVNCSERVER_HAVE_SYS_STAT_H)
check_include_file("sys/time.h"    LIBVNCSERVER_HAVE_SYS_TIME_H)
check_include_file("sys/types.h"   LIBVNCSERVER_HAVE_SYS_TYPES_H)
check_include_file("sys/wait.h"    LIBVNCSERVER_HAVE_SYS_WAIT_H)
check_include_file("unistd.h"      LIBVNCSERVER_HAVE_UNISTD_H)

# headers needed for check_type_size()
check_include_file("arpa/inet.h"   HAVE_ARPA_INET_H)
check_include_file("stdint.h"      HAVE_STDINT_H)
check_include_file("stddef.h"      HAVE_STDDEF_H)
check_include_file("sys/types.h"   HAVE_SYS_TYPES_H)

check_function_exists(gettimeofday    LIBVNCSERVER_HAVE_GETTIMEOFDAY)

if(CMAKE_USE_PTHREADS_INIT)
  set(LIBVNCSERVER_HAVE_LIBPTHREAD 1)
endif(CMAKE_USE_PTHREADS_INIT)
if(LIBVNCSERVER_HAVE_SYS_SOCKET_H)
  # socklen_t
  list(APPEND CMAKE_EXTRA_INCLUDE_FILES "sys/socket.h")
endif(LIBVNCSERVER_HAVE_SYS_SOCKET_H)
if(HAVE_ARPA_INET_H)
  # in_addr_t
  list(APPEND CMAKE_EXTRA_INCLUDE_FILES "arpa/inet.h")
endif(HAVE_ARPA_INET_H)

check_type_size(pid_t     LIBVNCSERVER_PID_T)
check_type_size(size_t    LIBVNCSERVER_SIZE_T)
check_type_size(socklen_t LIBVNCSERVER_SOCKLEN_T)
check_type_size(in_addr_t LIBVNCSERVER_IN_ADDR_T)
if(NOT HAVE_LIBVNCSERVER_IN_ADDR_T)
  set(LIBVNCSERVER_NEED_INADDR_T 1)
endif(NOT HAVE_LIBVNCSERVER_IN_ADDR_T)

TEST_BIG_ENDIAN(LIBVNCSERVER_WORDS_BIGENDIAN)

# TODO:
# LIBVNCSERVER_ENOENT_WORKAROUND
# inline

configure_file(${CMAKE_SOURCE_DIR}/rfb/rfbconfig.h.cmake ${CMAKE_BINARY_DIR}/rfb/rfbconfig.h)
configure_file(${CMAKE_SOURCE_DIR}/rfb/rfbint.h.cmake ${CMAKE_BINARY_DIR}/rfb/rfbint.h)

set(LIBVNCSERVER_DIR ${CMAKE_SOURCE_DIR}/libvncserver)
set(COMMON_DIR ${CMAKE_SOURCE_DIR}/common)
set(LIBVNCCLIENT_DIR ${CMAKE_SOURCE_DIR}/libvncclient)
set(LIBVNCSRVTEST_DIR ${CMAKE_SOURCE_DIR}/examples)
set(LIBVNCCLITEST_DIR ${CMAKE_SOURCE_DIR}/client_examples)

set(LIBVNCSERVER_SOURCES
    ${LIBVNCSERVER_DIR}/main.c
    ${LIBVNCSERVER_DIR}/rfbserver.c
    ${LIBVNCSERVER_DIR}/rfbregion.c
    ${LIBVNCSERVER_DIR}/auth.c
    ${LIBVNCSERVER_DIR}/sockets.c
    ${LIBVNCSERVER_DIR}/stats.c
    ${LIBVNCSERVER_DIR}/corre.c
    ${LIBVNCSERVER_DIR}/hextile.c
    ${LIBVNCSERVER_DIR}/rre.c
    ${LIBVNCSERVER_DIR}/translate.c
    ${LIBVNCSERVER_DIR}/cutpaste.c
    ${LIBVNCSERVER_DIR}/httpd.c
    ${LIBVNCSERVER_DIR}/cursor.c
    ${LIBVNCSERVER_DIR}/font.c
    ${LIBVNCSERVER_DIR}/draw.c
    ${LIBVNCSERVER_DIR}/selbox.c
    ${COMMON_DIR}/d3des.c
    ${COMMON_DIR}/vncauth.c
    ${LIBVNCSERVER_DIR}/cargs.c
    ${COMMON_DIR}/minilzo.c
    ${LIBVNCSERVER_DIR}/ultra.c
    ${LIBVNCSERVER_DIR}/scale.c
)

set(LIBVNCCLIENT_SOURCES
    ${LIBVNCCLIENT_DIR}/cursor.c
    ${LIBVNCCLIENT_DIR}/listen.c
    ${LIBVNCCLIENT_DIR}/rfbproto.c
    ${LIBVNCCLIENT_DIR}/sockets.c
    ${LIBVNCCLIENT_DIR}/vncviewer.c
    ${COMMON_DIR}/minilzo.c
    ${LIBVNCCLIENT_DIR}/tls.c
)

if(ZLIB_FOUND)
  add_definitions(-DLIBVNCSERVER_HAVE_LIBZ)
  include_directories(${ZLIB_INCLUDE_DIR})
  set(LIBVNCSERVER_SOURCES
    ${LIBVNCSERVER_SOURCES}
    ${LIBVNCSERVER_DIR}/zlib.c
    ${LIBVNCSERVER_DIR}/zrle.c
    ${LIBVNCSERVER_DIR}/zrleoutstream.c
    ${LIBVNCSERVER_DIR}/zrlepalettehelper.c
  )
endif(ZLIB_FOUND)

if(JPEG_FOUND)
  add_definitions(-DLIBVNCSERVER_HAVE_LIBJPEG)
  include_directories(${JPEG_INCLUDE_DIR})
  set(LIBVNCSERVER_SOURCES
    ${LIBVNCSERVER_SOURCES}
    ${LIBVNCSERVER_DIR}/tight.c
  )
endif(JPEG_FOUND)

if(TIGHTVNC_FILETRANSFER)
  set(LIBVNCSERVER_SOURCES
    ${LIBVNCSERVER_SOURCES}
    ${LIBVNCSERVER_DIR}/tightvnc-filetransfer/rfbtightserver.c
    ${LIBVNCSERVER_DIR}/tightvnc-filetransfer/handlefiletransferrequest.c
    ${LIBVNCSERVER_DIR}/tightvnc-filetransfer/filetransfermsg.c
    ${LIBVNCSERVER_DIR}/tightvnc-filetransfer/filelistinfo.c
  )
endif(TIGHTVNC_FILETRANSFER)

add_library(vncclient SHARED ${LIBVNCCLIENT_SOURCES})
add_library(vncserver SHARED ${LIBVNCSERVER_SOURCES})
if(WIN32)
  set(ADDITIONAL_LIBS ws2_32)
endif(WIN32)

target_link_libraries(vncclient
                      ${ADDITIONAL_LIBS}
                      ${ZLIB_LIBRARIES}
                      ${JPEG_LIBRARIES}
                      ${SDL_LIBRARY}
)
target_link_libraries(vncserver
                      ${ADDITIONAL_LIBS}
                      ${ZLIB_LIBRARIES}
                      ${JPEG_LIBRARIES}
                      ${SDL_LIBRARY}
)

# tests
set(LIBVNCSERVER_TESTS
    backchannel
    camera
    colourmaptest
    example
    fontsel
    pnmshow
    pnmshow24
    regiontest
    rotate
    simple
    simple15
    storepasswd
    vncev
  )

if(Threads_FOUND)
  set(LIBVNCSERVER_TESTS
    ${LIBVNCSERVER_TESTS}
    blooptest
  )
endif(Threads_FOUND)

if(TIGHTVNC_FILETRANSFER)
  set(LIBVNCSERVER_TESTS
    ${LIBVNCSERVER_TESTS}
    filetransfer
  )
endif(TIGHTVNC_FILETRANSFER)

if(MACOS)
  set(LIBVNCSERVER_TESTS
    ${LIBVNCSERVER_TESTS}
    mac
  )
endif(MACOS)

set(LIBVNCCLIENT_TESTS
    backchannel
    ppmtest
)

if(SDL_FOUND)
  include_directories(${SDL_INCLUDE_DIR})
  set(LIBVNCCLIENT_TESTS
    ${LIBVNCCLIENT_TESTS}
    SDLvncviewer
  )
  set(SDLvncviewer_EXTRA_SOURCES scrap.c)
endif(SDL_FOUND)

if(HAVE_FFMPEG)
  set(LIBVNCCLIENT_TESTS
    ${LIBVNCCLIENT_TESTS}
    vnc2mpg
  )
endif(HAVE_FFMPEG)


file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/examples)
foreach(test ${LIBVNCSERVER_TESTS})
  add_executable(examples/${test} ${LIBVNCSRVTEST_DIR}/${test}.c)
  target_link_libraries(examples/${test} vncserver ${CMAKE_THREAD_LIBS_INIT})
endforeach(test ${LIBVNCSERVER_TESTS})

file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/client_examples)
foreach(test ${LIBVNCCLIENT_TESTS})
  add_executable(client_examples/${test} ${LIBVNCCLITEST_DIR}/${test}.c ${LIBVNCCLITEST_DIR}/${${test}_EXTRA_SOURCES} )
  target_link_libraries(client_examples/${test} vncclient ${CMAKE_THREAD_LIBS_INIT} ${GNUTLS_LIBRARIES} ${X11_LIBRARIES} ${SDL_LIBRARY} ${FFMPEG_LIBRARIES})
endforeach(test ${LIBVNCCLIENT_TESTS})

install_targets(/lib vncserver)
install_targets(/lib vncclient)
install_files(/include/rfb FILES
    rfb/keysym.h
    rfb/rfb.h
    rfb/rfbclient.h
    rfb/rfbconfig.h
    rfb/rfbint.h
    rfb/rfbproto.h
    rfb/rfbregion.h
)

## libvncserver 0.9.7

=== debian/changelog ===
libvncserver (0.9.7-3ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build with -O0 on ppc64 to work around a link failure.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 05 Aug 2011 18:45:26 +0200

libvncserver (0.9.7-3) unstable; urgency=low

  * QA upload
  * Change (build-)depdendencies on libjpeg62-dev to libjpeg-dev
    (closes: #629976).
  * Migrate to source format 3.0 (quilt):
    - add debian/source/format
    - remove build-dependency on quilt
    - debian/rules: drop --with-quilt from dh invocation
  * debian/rules, clean target: also remove generated file _configs.sed

 -- Ralf Treinen <treinen@debian.org>  Fri, 10 Jun 2011 19:39:44 +0200

libvncserver (0.9.7-2ubuntu1) natty; urgency=low

  * Build with -O0 on ppc64 to work around a link failure.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Feb 2011 19:54:50 +0100

libvncserver (0.9.7-2) unstable; urgency=low

  * QA upload.
  * Don't build linuxvnc on non-linux architectures (Closes: #542592).
  * Add a debian/README.source.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 30 Aug 2009 17:15:14 +0200

libvncserver (0.9.7-1) unstable; urgency=low

  * QA upload.
  * New upstream release (Closes: #529010):
    - x11vnc is removed upstream from libvncserver sources.
      Now, it is released separately.
  * Added patches:
    - 03_no_x11vnc_subdir.patch
      Remove x11vnc remaining occurrences from the build system.
    - 04_rename_linuxvnc.patch
      Rename LinuxVNC to linuxvnc.
  * Bumped debian/compat from 5 to 7.
  * Updated debian/control:
    - Cleanuped build dependencies.
    - Switched to quilt patch system.
    - Added Homepage field.
    - Added libjpeg62-dev and zlib1g-dev dependencies to libvncserver-dev.
      (Closes: #515029)
    - Added priority extra and section debug to libvncserver0-dbg.
    - Removed x11vnc package.
  * Added debian/not-installed:
    - *.la files are not installed anymore in libvncserver-dev.
  * Switched debian/rules from cdbs to dh usage.

 -- Fathi Boudra <fabo@debian.org>  Fri, 07 Aug 2009 15:45:36 +0200

libvncserver (0.9.3.dfsg.1-2) unstable; urgency=low

  * QA upload.
  * Drop useless build-depends on linux-libc-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 May 2009 20:11:07 +0200

libvncserver (0.9.3.dfsg.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release. (Closes: #448942)
    - CVS tag X11VNC_REL_0_9_3
  * Switched rules to CDBS.
  * Bumped compat to 5.
  * Bumped Standards-Version to 3.7.2
  * Enabled shared libraries. (Closes: #373298)
  * Dropped vncommand, since it isn't installed by make install.
    - All hate-mail should be sent to debian@pusling.com
  * Added debug package.
  * Removed the classes/ dir, there are no sources for the jar files.
    - Appended .dfsg.1 to source version.
    - Added patch 01_ignore_classes to allow building without classes/ dir.
  * Added patch 02_linux_test to look for /usr/include/linux instead of /dev/vcsa

 -- Matthew Rosewarne <mrosewarne@inoutbox.com>  Mon, 05 Nov 2007 03:22:20 -0500

libvncserver (0.8.2-2) unstable; urgency=low

  * Orphaning package 

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 25 Apr 2007 12:00:32 +0200

libvncserver (0.8.2-1) unstable; urgency=high

  * New upstream release. Closes: #373808
  * This new release fixes a security bug which might be present in the
    previous release of the package. Closes: #376824
  * urgency=high because a probable security bug was fixed.

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 17 Jul 2006 20:43:38 +0200

libvncserver (0.7.1-5) unstable; urgency=high

  * Re-upload with urgency=high because the package in testing is unusable

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 12 Jan 2006 15:30:00 +0100

libvncserver (0.7.1-4) unstable; urgency=low

  * Put x11vnc 0.7.3 sources in their own directory. Closes: #333880
  * Updated build-depends. Closes: #347019

 -- Ludovic Drolez <ldrolez@debian.org>  Mon,  9 Jan 2006 23:13:15 +0100

libvncserver (0.7.1-3) unstable; urgency=low

  * Added x11vnc 0.7.3 sources. Closes: #328943
  * Added the x11vnc FAQ which is in the README. Closes: #325479
  * Added build dependencies on libxdamage-dev, libfixes-dev, libxrandr-dev

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 28 Sep 2005 19:00:05 +0200

libvncserver (0.7.1-2) unstable; urgency=low

  * Removed the /dev/vcsa1 test to fix the pbuilder bug. Closes: #322643
  * new vncommand package: allows you to attach a VNC server to any command

 -- Ludovic Drolez <ldrolez@debian.org>  Fri, 26 Aug 2005 18:02:16 +0200

libvncserver (0.7.1-1) unstable; urgency=low

  * New upstream release. Closes: #309385

 -- Ludovic Drolez <ldrolez@debian.org>  Fri, 25 Mar 2005 20:48:38 +0100

libvncserver (0.7-1) unstable; urgency=low

  * New upstream release
  * New upstream x11vnc man page. Closes: Bug#277510

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 31 Jan 2005 23:06:17 +0100

libvncserver (0.6-3) unstable; urgency=low

  * Added the latest x11vnc.c (0.6.1) which has the -scale option.
  * Added the scale option in the manual.

 -- Ludovic Drolez <ldrolez@debian.org>  Fri, 16 Jul 2004 16:26:09 +0200

libvncserver (0.6-2) unstable; urgency=low

  * Added the latest x11vnc.c from the CVS. Closes: Bug#246205

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 29 Apr 2004 22:09:53 +0200

libvncserver (0.6-1) unstable; urgency=low

  * Initial Release.
  * Integrated the last release of x11vnc.

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 10 Mar 2004 23:42:26 +0100

=== debian/control ===
Source: libvncserver
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.3), automake, libtool,
 libjpeg-dev, zlib1g-dev
Standards-Version: 3.8.2
Section: libs
Homepage: http://libvncserver.sourceforge.net

Package: libvncserver-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvncserver0 (= ${binary:Version}),
 libjpeg-dev, zlib1g-dev
Description: API to write one's own vnc server - development files
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy.  It hides
 the programmer from the tedious task of managing clients
 and compression schemata.
 .
 This is the development package which contains headers and static libraries 
 for libvncserver.

Package: libvncserver0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libvncserver0-dbg (= ${binary:Version})
Description: API to write one's own vnc server
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy.  It hides
 the programmer from the tedious task of managing clients
 and compression schemata.

Package: libvncserver0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvncserver0 (= ${binary:Version})
Description: debugging symbols for libvncserver
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy.  It hides
 the programmer from the tedious task of managing clients
 and compression schemata.
 .
 This package contains the debugging symbols for libvncserver.

Package: linuxvnc
Section: net
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VNC server to allow remote access to a tty
 linuxvnc can export your currently running text sessions to any VNC client.
 It can be useful if you want to move to another computer without having to
 log out or to help a distant colleague solve a problem.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH), ppc64)
  export DEB_GCC_NO_O3=1
  export CFLAGS=-g -O0
endif

ifneq ($(DEB_HOST_ARCH_OS), linux)
  EXTRA_DH_ARG=-Nlinuxvnc
endif

%:
	dh $(EXTRA_DH_ARG) --dbg-package=libvncserver0-dbg $@

override_dh_auto_configure:
	aclocal
	autoheader
	automake --add-missing --copy
	autoconf
	dh_auto_configure

override_dh_clean:
	dh_clean
	rm -rf autom4te.cache
	rm -f aclocal.m4 config.guess config.sub configure \
		depcomp install-sh missing _configs.sed \
		rfbconfig.h.in rfb/rfbconfig.h rfb/rfbint.h
	find . -name Makefile -delete
	find . -name Makefile.in -delete

.PHONY: dh_auto_test

## libvncserver 0.9.8.2

=== debian/changelog ===
libvncserver (0.9.8.2-2ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Build with -O0 on ppc64 to work around a link failure.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 07 Jan 2012 11:51:59 +0100

libvncserver (0.9.8.2-2) unstable; urgency=low

  * debian/*.1:
    - Refresh man pages to consider new parameters (Closes: #518617).
  * debian/libvncserver-dev.install:
    - Install libvncserver.pc and libvncclient files (Closes: #649481).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 08 Dec 2011 11:55:19 +0100

libvncserver (0.9.8.2-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build with -O0 on ppc64 to work around a link failure.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 21 Nov 2011 18:15:11 +0100

libvncserver (0.9.8.2-1) unstable; urgency=low

  * New upstream bugfix release.
    - Fix a regression in libvncclient with Apple Remote Desktop support
      that prevented viewers to connect to ARD servers (Closes: #644455).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 09 Nov 2011 23:31:28 +0100

libvncserver (0.9.8.1-1) unstable; urgency=low

  * New upstream bugfix release.
    - Fix ABI break (Closes: #644455).
  * debian/compat:
    - Bump compatibility to 8.
  * debian/control:
    - Adopting package.
    - Add Vcs-* fields.
    - Build-depend on dh-autoreconf instead of automake and libtool.
    - Add libgnutls-dev to libvncserver-dev dependencies.
  * debian/not-installed:
    - Not needed, removed.
  * debian/rules:
    - Build with autoreconf support.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 12 Oct 2011 19:59:26 +0200

libvncserver (0.9.8-2) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Build-depend on libgnutls-dev for GNUTLS support.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 02 Oct 2011 14:27:56 +0200

libvncserver (0.9.8-1) unstable; urgency=low

  * QA upload.
  * New upstream release (Closes: #621705).
    - Fix segfault launching "linuxvnc 1 -help" (Closes: #399501).
    - Close socket when connection ends (Closes: #525226).
    - Fix no input caused by stucked CTRL key (Closes: #555988).
  * debian/patches/*:
    - Refresh patches for new upstream release.
  * debian/patches/05_GnuTLS.patch:
    - Backport patch from upstream repository to drop deprecated GnuTLS
      functions (gnutls_*_set_priority -> gnutls_priority_set_direct).
  * debian/control:
    - Build-depend on pkg-config.
    - Remove duplicate section field for libvncserver0 binary.
    - Bump Standards-Version to 3.9.2.
  * debian/libvncserver-config.1:
    - Use minus signs instead of hypens.
  * debian/README.source:
    - Dropped, no longer needed.
  * debian/watch:
    - Provide watch file.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 02 Oct 2011 02:54:05 +0200

=== debian/control ===
Source: libvncserver
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 8), dh-autoreconf, libgnutls-dev, libjpeg-dev, pkg-config, zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://libvncserver.sourceforge.net
Vcs-Git: git://git.debian.org/collab-maint/libvncserver.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libvncserver.git;a=summary

Package: libvncserver-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvncserver0 (= ${binary:Version}), libgnutls-dev, libjpeg-dev, zlib1g-dev
Description: API to write one's own vnc server - development files
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This is the development package which contains headers and static libraries 
 for libvncserver.

Package: libvncserver0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libvncserver0-dbg (= ${binary:Version})
Description: API to write one's own vnc server
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.

Package: libvncserver0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvncserver0 (= ${binary:Version})
Description: debugging symbols for libvncserver
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package contains the debugging symbols for libvncserver.

Package: linuxvnc
Section: net
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VNC server to allow remote access to a tty
 linuxvnc can export your currently running text sessions to any VNC client.
 It can be useful if you want to move to another computer without having to
 log out or to help a distant colleague solve a problem.

=== debian/rules ===
#!/usr/bin/make -f

export LIBTOOLIZE = true
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH), ppc64)
  export DEB_GCC_NO_O3=1
  export CFLAGS=-g -O0
endif

ifneq ($(DEB_HOST_ARCH_OS), linux)
  EXTRA_DH_ARG=-Nlinuxvnc
endif

%:
	dh $@ $(EXTRA_DH_ARG) --with autoreconf --dbg-package=libvncserver0-dbg

=== debian/watch ===
version=3
http://sf.net/libvncserver/LibVNCServer-([0-9.]+)\.tar.gz

## libvncserver 0.9.9%2Bdfsg2

=== debian/changelog ===
libvncserver (0.9.9+dfsg2-6.1+deb8u8) jessie-security; urgency=medium

  * debian/patches:
    + Add CVE-2019-20839.patch. libvncclient: bail out if unix socket name would
      overflow (CVE-2019-20839).
    + Add CVE-2020-14397.patch. libvncserver: add missing NULL pointer checks
      (CVE-2020-14397).
    + Add CVE-2020-14399.patch. libvncclient: fix pointer aliasing/alignment
      issue (CVE-2020-14399).
    + Add CVE-2020-14400.patch. libvncserver: fix pointer aliasing/alignment
      issue (CVE-2020-14400).
    + Add CVE-2020-14401.patch. libvncserver: scale: cast to 64 bit before
      shifting (CVE-2020-14401).
    + Add CVE-2020-14402+14403,14404}.patch. libvncserver: encodings: prevent
      OOB accesses (CVE-2020-14402, CVE-2020-14403, CVE-2020-14404).
    + Add CVE-2020-14405.patch. libvncclient/rfbproto: limit max textchat size
      (CVE-2020-14405).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Jun 2020 16:43:17 +0200

libvncserver (0.9.9+dfsg2-6.1+deb8u7) jessie-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * Add patch to limit width/height input values to avoid a possible
    heap overflow. (Fixes: CVE-2019-15690) (Closes: #954163)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 17 Mar 2020 23:58:32 +0530

libvncserver (0.9.9+dfsg2-6.1+deb8u6) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * CVE-2019-15681: rfbserver: don't leak stack memory to the remote.
    (Closes: #943793).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Oct 2019 13:46:34 +0100

libvncserver (0.9.9+dfsg2-6.1+deb8u5) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * CVE-2018-20748: incomplete fix for CVE-2018-20019 oob heap writes.
  * CVE-2018-20749: incomplete fix for CVE-2018-15127 oob heap writes.
  * CVE-2018-20750: incomplete fix for CVE-2018-15127 oob heap writes.
  * CVE-2018-15126: heap use-after-free resulting in possible RCE.
  * debian/libvncserver0.symbols: update for the symbol changes in the
    CVE-2018-15126 patch, which split a function in two with new names.
    This is not really an ABI change as these symbols are private, i.e. not
    exported in any public headers, and only exported on the DSO because
    there's no filter applied.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 31 Jan 2019 12:17:10 +0100

libvncserver (0.9.9+dfsg2-6.1+deb8u4) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * CVE-2018-15127: heap out-of-bound write vulnerability (Closes: #916941)
  * CVE-2018-20019: multiple heap out-of-bound write vulnerabilities
  * CVE-2018-20020: heap out-of-bound write vulnerability inside structure
    in VNC client code
  * CVE-2018-20021: CWE-835: Infinite loop vulnerability in VNC client code.
  * CVE-2018-20022: CWE-665: Improper Initialization vulnerability
  * CVE-2018-20023:Improper Initialization vulnerability in VNC Repeater client
    code
  * CVE-2018-20024: null pointer dereference that can result DoS
  * CVE-2018-6307: heap use-after-free vulnerability in server code of
    file transfer extension
 
 -- Abhijith PA <abhijith@debian.org>  Sun, 23 Dec 2018 16:21:23 +0530

libvncserver (0.9.9+dfsg2-6.1+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2018-7225: Uninitialized and potentially sensitive data could be
    accessed by remote attackers because the msg.cct.length in rfbserver.c was
    not sanitized. (Closes: #894045)

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jun 2018 14:05:57 +0200

libvncserver (0.9.9+dfsg2-6.1+deb8u2) jessie-security; urgency=high

  * CVE-2016-9941 (Closes: #850007)
  * CVE-2016-9942 (Closes: #850008)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 03 Jan 2017 09:41:51 +0100

libvncserver (0.9.9+dfsg2-6.1+deb8u1) stable; urgency=medium

  * added patch for libgcrypt init before use (Closes: #782570)
  * replaced non-free sha1 implementation (Closes: #786907)
  * new maintainer due to package adoption

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Wed, 27 May 2015 07:29:58 +0200

libvncserver (0.9.9+dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2014-6051, CVE-2014-6052, CVE-2014-6053, CVE-2014-6054, CVE-2014-6055:
    Multiple issues in libVNCserver -- cherry picking targeted fixed from
    upstream (Closes: #762745)

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Nov 2014 16:19:53 +0100

libvncserver (0.9.9+dfsg-6) unstable; urgency=medium

  [ Luca Falavigna ]
  * debian/patches/pkgconfig.patch:
    - Use Libs.private to avoid unnecessary linkage (Closes: #747539).
  * debian/tests/*:
    - Provide a simple test to check whether the package is functional
      as per DEP8 (autopkgtests).
  * debian/control:
    - (Build-)depends on libgnutls28-dev and libgcrypt20-dev instead of
      libgnutls-dev and libgcrypt11-dev (Closes: #753126).
    - Point Homepage field to the new home page.
  * debian/copyright:
    - Point Source field to the new download location.
  * debian/watch:
    - Point to GitHub.

  [ Gianfranco Costamagna ]
  * Drop the libpng12-dev build conflict, relying instead on a better
    --without-png configure flag

  [ Matthias Klose ]
  * debian/patches/ppc64el.patch
    - Patch acinclude.m4 for ppc64el (Closes: #756809).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 12 Aug 2014 16:02:26 +0200

libvncserver (0.9.9+dfsg-5) unstable; urgency=medium

  * debian/patches/listenSock.patch:
    - Cherry-pick patch from upstream to fix a segfault on listenSock
      and listen6Sock, thanks to Shaddy Baddah (Closes: #746260).
  * debian/control:
    - Build-depends on libgcrypt11-dev, thanks to Andreas Metzler for
      the bug report (Closes: #745954).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 01 May 2014 10:20:21 +0200

libvncserver (0.9.9+dfsg-4) unstable; urgency=medium

  * debian/copyright:
    - Document missing copyright information (Closes: #734849).



## libvncserver 0.9.9%2bdfsg

=== debian/changelog ===
libvncserver (0.9.9+dfsg-1ubuntu1.2) trusty-security; urgency=medium

  * SECURITY UPDATE: heap overflows in rectangle fill functions
    - debian/patches/CVE-2016-9941.patch: add bounds checking to
      libvncclient/rfbproto.c.
    - CVE-2016-9941
  * SECURITY UPDATE: heap overflow in Ultra type tile decoder
    - debian/patches/CVE-2016-9942.patch: use _safe variant in
      libvncclient/ultra.c.
    - CVE-2016-9942

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 06 Jan 2017 07:57:31 -0500

libvncserver (0.9.9+dfsg-1ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    integer overflow and lack of malloc error handling in
    MallocFrameBuffer()
    - debian/patches/CVE-2014-6051-6052.patch: check size and handle
      return code in libvncclient/vncviewer.c, handle return code in
      libvncclient/rfbproto.c.
    - CVE-2014-6051
    - CVE-2014-6052
  * SECURITY UPDATE: denial of service via large ClientCutText message
    - debian/patches/CVE-2014-6053.patch: check malloc result in
      libvncserver/rfbserver.c.
    - CVE-2014-6053
  * SECURITY UPDATE: denial of service via zero scaling factor
    - debian/patches/CVE-2014-6054.patch: prevent zero scaling factor in
      libvncserver/rfbserver.c, check for integer overflow in
      libvncserver/scale.c.
    - CVE-2014-6054
  * SECURITY UPDATE: denial of service and possible code execution via
    stack overflows in File Transfer feature
    - debian/patches/CVE-2014-6055.patch: check sizes in
      libvncserver/rfbserver.c.
    - CVE-2014-6055

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Sep 2014 11:40:15 -0400

libvncserver (0.9.9+dfsg-1ubuntu1) trusty; urgency=medium

  * Patch acinclude.m4 for ppc64el.
  * Fix build failure with -Wformat-security.
  * Enable verbose build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Dec 2013 12:56:20 +0100

## libvncserver 0.9.9+dfsg

=== debian/control ===
Source: libvncserver
Section: libs
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libgnutls28-dev,
               libjpeg-dev,
               pkg-config,
               libgcrypt20-dev,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://libvnc.github.io
Vcs-Git: git://anonscm.debian.org/collab-maint/libvncserver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libvncserver.git;a=summary

Package: libvncclient0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libvncserver0 (<< 0.9.9+dfsg-3)
Replaces: libvncserver0 (<< 0.9.9+dfsg-3)
Multi-Arch: same
Description: API to write one's own vnc server - client library
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package provides the client library.

Package: libvncserver0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: API to write one's own vnc server
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package provides the server library.

Package: libvncserver-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libvncclient0 (= ${binary:Version}),
         libvncserver0 (= ${binary:Version}),
         libgnutls28-dev,
         libjpeg-dev,
         zlib1g-dev,
         libvncserver-config
Multi-Arch: same
Description: API to write one's own vnc server - development files
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This is the development package which contains headers and static libraries 
 for libvncserver.

Package: libvncserver-config
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libvncclient0 (= ${binary:Version}),
         libvncserver0 (= ${binary:Version})
Multi-Arch: foreign
Description: API to write one's own vnc server - library utility
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package provides libvncserver-config utility, needed to obtain some
 option of the libvncserver library.

Package: libvncclient0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libvncclient0 (= ${binary:Version})
Multi-Arch: same
Description: debugging symbols for libvncclient
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package contains the debugging symbols for libvncclient.

Package: libvncserver0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libvncserver0 (= ${binary:Version})
Multi-Arch: same
Description: debugging symbols for libvncserver
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package contains the debugging symbols for libvncserver.

Package: linuxvnc
Section: net
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: VNC server to allow remote access to a tty
 linuxvnc can export your currently running text sessions to any VNC client.
 It can be useful if you want to move to another computer without having to
 log out or to help a distant colleague solve a problem.

=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//')

export LIBTOOLIZE = true
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq ($(DEB_HOST_ARCH_OS), linux)
  EXTRA_DH_ARG=-Nlinuxvnc
endif

%:
	dh $@ $(EXTRA_DH_ARG) --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules --without-png

override_dh_strip:
	dh_strip -plibvncclient0 --dbg-package=libvncclient0-dbg
	dh_strip -plibvncserver0 --dbg-package=libvncserver0-dbg
	dh_strip

get-orig-source:	 
	tar fxz ../libvncserver_${VERSION}.orig.tar.gz -C ..
	cd ../LibVNCServer-${VERSION} && rm -fr webclients
	tar czf ../libvncserver_${VERSION}+dfsg.orig.tar.gz ../LibVNCServer-${VERSION}
	rm -fr ../LibVNCServer-${VERSION}

## libvncserver 0.9.9+dfsg2

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libvncserver
 Section: libs
 Priority: optional
-Maintainer: Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libgnutls28-dev,

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,6 @@
 
 get-orig-source:	 
 	tar fxz ../libvncserver_${VERSION}.orig.tar.gz -C ..
-	cd ../LibVNCServer-${VERSION} && rm -fr webclients
+	cd ../LibVNCServer-${VERSION} && rm -fr webclients && rm -fr common/sha1.*
 	tar czf ../libvncserver_${VERSION}+dfsg.orig.tar.gz ../LibVNCServer-${VERSION}
 	rm -fr ../LibVNCServer-${VERSION}

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libvncserver-$1\.tar\.gz/ \
https://github.com/LibVNC/libvncserver/tags .*/LibVNCServer-(\d\S*)\.tar\.gz

## libvncserver 0.9.10+dfsg

=== debian/changelog ===
libvncserver (0.9.10+dfsg-3ubuntu0.16.04.6) xenial-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2020-25708.patch: fix possible divide-by-zero in
      libvncserver/rfbserver.c.
    - CVE-2020-25708

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 16 Nov 2020 10:00:09 -0300

libvncserver (0.9.10+dfsg-3ubuntu0.16.04.5) xenial-security; urgency=medium

  * SECURITY UPDATE: buffer overflow via a long socket filename
    - debian/patches/CVE-2019-20839.patch: Error out if the unix socket name
      would overflow in libvncclient/sockets.c.
    - CVE-2019-20839
  * SECURITY UPDATE: unaligned accesses in hybiReadAndDecode can lead to a
    crash
    - debian/patches/CVE-2019-20840.patch: Ensure a proper stack alignment in 
      libvncserver/websockets.c.
    - CVE-2019-20840
  * SECURITY UPDATE: NULL pointer dereference in region clipping span routine
    - debian/patches/CVE-2020-14397.patch: Add NULL pointer dereference checks
      to libvncserver/rfbregion.c.
    - CVE-2020-14397
  * SECURITY UPDATE: infinite loop due to improperly closed TCP connection
    - debian/patches/CVE-2020-14398.patch: Close the connection after a certain
      number of retries in libvncclient/sockets.c.
    - CVE-2020-14398
  * SECURITY UPDATE: byte-aligned data is accessed through uint32_t pointers
    - debian/patches/CVE-2020-14399.patch: Ensure a proper stack alignment in
      libvncclient/rfbproto.c.
    - CVE-2020-14399
  * SECURITY UPDATE: byte-aligned data is accessed through uint16_t pointers
    - debian/patches/CVE-2020-14400.patch: Ensure a proper stack alignment in
      libvncserver/translate.c.
    - CVE-2020-14400
  * SECURITY UPDATE: integer overflow in bitwise operation on pixel_value
    - debian/patches/CVE-2020-14401.patch: Cast variable to 64 bit before
      performing bitwise operation.
    - CVE-2020-14401
  * SECURITY UPDATE: out-of-bounds access via encodings
    - debian/patches/CVE-2020-14402_CVE-2020-14403_CVE-2020-14404.patch:
      Check bounds before accessing array value in libvncserver/corre.c,
      libvncserver/hextile.c and libvncserver/rre.c
    - CVE-2020-14402
    - CVE-2020-14403
    - CVE-2020-14404
  * SECURITY UPDATE: unchecked TextChat allocation size
    - debian/patches/CVE-2020-14405.patch: Limit max TextChat size in
      libvncclient/rfbproto.c.
    - CVE-2020-14405 

 -- Avital Ostromich <avital.ostromich@canonical.com>  Tue, 14 Jul 2020 09:52:11 -0400

libvncserver (0.9.10+dfsg-3ubuntu0.16.04.4) xenial-security; urgency=medium

  * SECURITY UPDATE: null pointer dereference in HandleZlibBPP function which
    results in DoS
    - debian/patches/CVE-2019-15680.patch: prevent dereferencing of null
      pointers during decoding in libvncclient/zlib.c and libvncclient/zrle.c.
    - CVE-2019-15680
  * SECURITY UPDATE: memory leak allows an attacker to read stack memory
    resulting in possible information disclosure
    - debian/patches/CVE-2019-15681.patch: clear a block of memory for the sct
      variable in libvncserver/rfbserver.c.
    - CVE-2019-15681
  * SECURITY UPDATE: heap buffer overflow caused by large cursor sizes
    - debian/patches/CVE-2019-15690_CVE-2019-20788.patch: limit the size of
      cursor in libvncclient/cursor.c.
    - CVE-2019-15690
    - CVE-2019-20788
  * SECURITY UPDATE: heap-based buffer overflow which allowed easy modification
    of a return address via an overwritten function pointer
    - debian/patches/CVE-2017-18922.patch: fix buffer overflow within the
      websocket decoding functionality in libvncserver/websockets.c.
    - debian/patches/encode_decode_buffers.patch: split codeBuf variable into
      encode and decode variables, allowing CVE patch to apply.
    - CVE-2017-18922

 -- Avital Ostromich <avital.ostromich@canonical.com>  Tue, 30 Jun 2020 11:11:21 -0400

libvncserver (0.9.10+dfsg-3ubuntu0.16.04.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/CVE-2018-*.patch: add upstream commits to fix
      multiple security issues.
    - debian/libvncserver1.symbols: updated for new symbols.
    - CVE-2018-6307, CVE-2018-15126, CVE-2018-15127, CVE-2018-20019,
      CVE-2018-20020, CVE-2018-20021, CVE-2018-20022, CVE-2018-20023,
      CVE-2018-20024, CVE-2018-20748, CVE-2018-20749, CVE-2018-20750

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Jan 2019 13:24:30 -0500

libvncserver (0.9.10+dfsg-3ubuntu0.16.04.2) xenial-security; urgency=medium

  * SECURITY UPDATE: integer overflow or memory access
    - debian/patches/CVE-2018-7225.patch: limit client cut text length to
      1 MB in libvncserver/rfbserver.c.
    - CVE-2018-7225

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 30 Mar 2018 10:40:42 -0400

libvncserver (0.9.10+dfsg-3ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: heap overflows in rectangle fill functions
    - debian/patches/CVE-2016-9941.patch: add bounds checking to
      libvncclient/rfbproto.c.
    - CVE-2016-9941
  * SECURITY UPDATE: heap overflow in Ultra type tile decoder
    - debian/patches/CVE-2016-9942.patch: use _safe variant in
      libvncclient/ultra.c.
    - CVE-2016-9942

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 06 Jan 2017 07:55:19 -0500

libvncserver (0.9.10+dfsg-3build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:26:21 +0000

libvncserver (0.9.10+dfsg-3) unstable; urgency=medium

  * Avoid regeneration of rfbint.h and rfbconfig.h (Closes: #786822)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 26 May 2015 00:12:15 +0200

libvncserver (0.9.10+dfsg-2) unstable; urgency=medium

  * Changed maintainer email.
  * Upload to unstable.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Sun, 24 May 2015 10:22:09 +0200

libvncserver (0.9.10+dfsg-1) experimental; urgency=medium

  * New Maintainer (Closes: #755299)


=== debian/control ===
Source: libvncserver
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libgnutls28-dev,
               libjpeg-dev,
               pkg-config,
               libgcrypt20-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://libvnc.github.io
Vcs-Git: git://anonscm.debian.org/collab-maint/libvncserver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libvncserver.git;a=summary

Package: libvncclient1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libvncserver0 (<< 0.9.9+dfsg-3)
Replaces: libvncserver0 (<< 0.9.9+dfsg-3)
Multi-Arch: same
Description: API to write one's own VNC server - client library
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package provides the client library.

Package: libvncserver1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: API to write one's own VNC server
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package provides the server library.

Package: libvncserver-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libvncclient1 (= ${binary:Version}),
         libvncserver1 (= ${binary:Version}),
         libgnutls28-dev,
         libjpeg-dev,
         zlib1g-dev,
         libvncserver-config
Multi-Arch: same
Description: API to write one's own VNC server - development files
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This is the development package which contains headers and static libraries 
 for libvncserver.

Package: libvncserver-config
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libvncclient1 (= ${binary:Version}),
         libvncserver1 (= ${binary:Version})
Multi-Arch: foreign
Description: API to write one's own VNC server - library utility
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package provides libvncserver-config utility, needed to obtain some
 option of the libvncserver library.

Package: libvncclient1-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libvncclient1 (= ${binary:Version})
Multi-Arch: same
Description: debugging symbols for libvncclient
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package contains the debugging symbols for libvncclient.

Package: libvncserver1-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libvncserver1 (= ${binary:Version})
Multi-Arch: same
Description: debugging symbols for libvncserver
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package contains the debugging symbols for libvncserver.

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg// \
https://github.com/LibVNC/libvncserver/releases .*/archive/LibVNCServer-(\d\S+)\.tar\.gz

## libvncserver 0.9.11+dfsg

=== debian/changelog ===
libvncserver (0.9.11+dfsg-1ubuntu1) bionic; urgency=medium

  * SECURITY UPDATE: integer overflow or memory access
    - debian/patches/CVE-2018-7225.patch: limit client cut text length to
      1 MB in libvncserver/rfbserver.c.
    - CVE-2018-7225

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 30 Mar 2018 10:33:35 -0400

libvncserver (0.9.11+dfsg-1) unstable; urgency=high

  * New upstream release, containing security fixes for
    - CVE-2016-9941
    - CVE-2016-9942
  * Remove upstream applied patches

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 03 Jan 2017 11:50:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-autoreconf,
                libgnutls28-dev,
                libjpeg-dev,
                pkg-config,
                libgcrypt20-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://libvnc.github.io
-Vcs-Git: git://anonscm.debian.org/collab-maint/libvncserver.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libvncserver.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libvncserver.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libvncserver.git
 
 Package: libvncclient1
 Architecture: any

=== debian/tests/control ===
Tests: smoketest-libvncserver
Depends: libvncserver-dev,
         build-essential

Tests: smoketest-libvncclient
Depends: libvncserver-dev,
         build-essential
